Subject: Re: bug#36496: [PATCH] Describe the rx notation in the lisp manual

From: Noam Postavsky <[email-masked]>
Date: Sat, 06 Jul 2019 07:59:03 -0400

Mattias Engdegård <[email-masked]> writes:

> +(zero-or-more RX...) Match RXs zero or more times.  Alias: *, 0+
> +(one-or-more RX...)  Match RXs one or more times.  Alias: +, 1+
> +(zero-or-one RX...)  Match RXs or the empty string.  Alias: ?, opt, optional

*, +, and ? are not exact aliases of the above: they're always greedy
(as opposed to depending on rx-greedy-flag).  I think it's a bit
confusing to rely on the description of minimal-match and maximal-match
to explain that.

> +(minimal-match RX)  Match RX, with zero-or-more, one-or-more,
> +                zero-or-one, 0+, 1+, opt, and optional
> +                using non-greedy matching.
> +(maximal-match RX)  Match RX, with zero-or-more, one-or-more,
> +                zero-or-one, 0+, 1+, opt, and optional
> +                using greedy matching, which is the default.